body.f-body {
    padding: 0 !important;
}

/* 左上角产品图标的旋转动画 */
@keyframes rotate {
    0% {
        transform: rotate(0deg);
    }

    100% {
        transform: rotate(360deg);
    }
}

#sideheader {
    height: 58px;
    overflow: hidden;
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 5px;
}

    #sideheader .logo-img svg {
        width: 30px;
        animation: rotate 30s linear infinite;
    }

    #sideheader .logo {
        font-size: 28px;
        text-decoration: none;
        line-height: 58px;
    }

    #sideheader.minimode .logo,
    #sideheader.minimode .logo-subtitle {
        display: none;
    }

#header {
    height: 58px;
    display: flex;
    justify-content: space-between;
}

    #header .header-left,
    #header .header-right {
        display: flex;
        align-items: center;
    }

    #header .f-btn {
        border-width: 0;
    }

    #header .icononlyaction {
        padding: 10px;
        border-radius: 50%;
    }

        #header .icononlyaction .f-btn-icon {
            font-size: 18px;
            line-height: 28px;
            height: 28px;
            width: 28px;
        }


    #header .userpicaction {
        border-radius: 24px;
        padding: 7px 10px;
    }

        #header .userpicaction .f-btn-icon {
            border-radius: 50%;
            width: 34px;
            height: 34px;
            margin: 0;
        }

        #header .userpicaction .f-btn-text {
            margin-left: 8px;
            font-size: 14px;
            line-height: 34px;
        }

        #header .userpicaction .f-badge-text {
            transform: none;
            top: -5px;
        }

    #header .btn-apply-trial .f-badge {
        top: 15px;
        right: 10px;
    }





.f-animation #header .searchbox {
    -webkit-transition: width .3s;
    transition: width .3s;
}

#header .searchbox {
    margin-bottom: 0;
    padding: 7px;
}

    #header .searchbox .f-field-textbox {
        border-width: 0;
        /*border-bottom-width: 1px;
        border-radius: 0;*/
        line-height: 34px;
        height: 34px;
        padding: 0 8px;
        font-size: 14px;
    }

    #header .searchbox.collapsed .f-field-textbox {
        background-color: transparent;
        background-image: none;
        border-bottom-color: transparent;
        padding: 0;
        visibility: hidden;
    }

    #header .searchbox.expanded .f-field-textbox {
    }

    #header .searchbox .f-field-triggerbox-icons {
        margin-top: -12px;
        margin-right: 5px;
    }

    #header .searchbox .f-field-triggerbox-icon.f-icon {
        font-size: 18px;
        line-height: 24px;
        min-width: 24px;
        min-height: 24px;
    }



.copyright-menutext {
    cursor: default;
}

    .copyright-menutext .copyright {
        text-align: center;
    }

        .copyright-menutext .copyright .version img {
            width: 40px;
            margin: 10px;
            animation: rotate 30s linear infinite;
        }



ul.list {
    list-style-type: none;
    padding: 0;
    margin: 0;
}

    ul.list li {
        margin-bottom: 5px;
    }


.isnew,
.iscorp {
    color: red;
    font-size: 11px;
    line-height: 11px;
}




ul.applytrial {
    list-style-type: none;
    margin: 10px 0 0 10px;
    border-left-width: 1px;
    border-left-style: dashed;
    padding-left: 15px;
}

    ul.applytrial li {
        padding: 1px 0;
    }



/* 特殊样式 */
.logo-subtitle {
    position: absolute;
    top: 5px;
    right: 5px;
    font-size: 12px;
    opacity: 0.5;
}

.online-examples-subtitle {
    line-height: 16px;
    font-size: 12px;
    margin-left: 20px;
    margin-top: -5px;
    margin-bottom: 5px;
    opacity: 0.8;
}


/* 面包屑导航 */
#breadcrumb {
    display: inline-block;
    margin-left: 10px;
}

    #breadcrumb .breadcrumb-separator {
        margin: 0 8px;
        opacity: 0.5;
    }

    #breadcrumb .breadcrumb-text {
        display: inline-flex;
        align-items: center;
        gap: 5px;
    }

    #breadcrumb .breadcrumb-text .text {
        opacity: 0.65;
    }

    #breadcrumb .breadcrumb-text.breadcrumb-last .text {
        opacity: 1;
    }

    #breadcrumb .breadcrumb-inner,
    #breadcrumb .breadcrumb-icons,
    #breadcrumb .breadcrumb-icons .f-iconfont {
        display: inline-block;
        line-height: 48px;
        vertical-align: top;
    }

        #breadcrumb .breadcrumb-icons a {
            margin-left: 6px;
            cursor: pointer;
            opacity: 0.65;
        }


    #breadcrumb .breadcrumb-icons {
        display: none;
    }

.maintabs-single #breadcrumb .breadcrumb-icons {
    display: inline-block;
}

/* 单标签页：隐藏主选项卡的标题栏（只留一个复用的选项卡内容 + 顶部面包屑导航） */
.maintabs-single .centerregion > .f-panel-header {
    display: none;
}





.leftregion .f-tree-cell-inner {
    cursor: pointer;
}

.menu-child-count {
    font-size: 11px;
    line-height: 11px;
    opacity: 0.65;
}
/* 示例页面标题旁边的版本号 */
.menu-version {
    color: #fff;
    font-size: 11px;
    line-height: 12px;
    border-radius: 4px;
    background-color: rgb(255 0 0 / 80%);
    padding: 2px;
}

/* 左侧树节点的样式调整（标题+示例数）*/
.sidebarregion .f-tree-cell-text {
    display: flex;
    align-items: center;
    gap: 5px;
}
    /* 左侧树节点的样式调整（文本过长显示省略号）*/
    .sidebarregion .f-tree-cell-text .text {
        overflow: hidden;
        text-overflow: ellipsis;
        white-space: nowrap;
    }



.centerregion .f-tab-header .f-panel-title-text .menu-version {
    display: none;
}



/* 微型模式下弹出菜单项文本的样式调整（标题+示例数） */
.f-tree-minimode-menu .f-menu-item-text {
    display: flex;
    align-items: center;
    gap: 5px;
}


/* 隐藏微型模式下顶层节点中的示例数 */
.sidebarregion .f-tree-minimode-text .menu-child-count {
    display: none;
}


/* 微型模式下顶级节点的宽度 */
.sidebarregion .f-tree-minimode-listct {
    min-width: var(--sidebar-minimode-width);
}



/*
.sidebarregion.twolevel #sideheader {
    gap: 0;
}

    .sidebarregion.twolevel #sideheader .logo-img {
        width: var(--sidebar-minimode-width);
        text-align: center;
    }

    .sidebarregion.twolevel #sideheader .logo {
        flex: 1;
        text-align: center;
        border-left-width: 1px;
        border-left-style: solid;
    }
*/
